Set theme as default
curl --request POST \
--url https://api.yalg.ai/v1/users/themes/{id}/set-default \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/users/themes/{id}/set-default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/users/themes/{id}/set-default"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
"name": "Founder voice",
"description": "Direct, practical, and story-led.",
"isDefault": false,
"config": {
"tone": "direct",
"pacing": "concise"
},
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
"name": "Founder voice",
"description": "Direct, practical, and story-led.",
"isDefault": false,
"config": {
"tone": "direct",
"pacing": "concise"
},
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}user-themes
Set theme as default
Sets a theme as the default for the current user
POST
/
v1
/
users
/
themes
/
{id}
/
set-default
Set theme as default
curl --request POST \
--url https://api.yalg.ai/v1/users/themes/{id}/set-default \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/users/themes/{id}/set-default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/users/themes/{id}/set-default"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
"name": "Founder voice",
"description": "Direct, practical, and story-led.",
"isDefault": false,
"config": {
"tone": "direct",
"pacing": "concise"
},
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
"name": "Founder voice",
"description": "Direct, practical, and story-led.",
"isDefault": false,
"config": {
"tone": "direct",
"pacing": "concise"
},
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}Authorizations
ApiKeyAuthbearer
YALG Developer API key. Send it in the x-api-key header from a server-side environment only.
Path Parameters
UUID of the theme to set as default
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Default theme set successfully
- Option 1
- Option 2
Reusable YALG writing style theme.
Theme identifier.
Example:
"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"
Example:
"Founder voice"
Example:
"Opinionated and direct"
Example:
false
Example:
"2026-06-20T17:24:39.000Z"
Example:
"2026-06-20T17:24:39.000Z"